MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032220Open CASCADE[OCCT] OCCT:Configurationpublic2021-03-17 09:492021-03-23 21:46
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032220: Configuration, Aspect_VKeySet - eliminate name collision with X11 macros
DescriptionAspect_VKeySet::KeyState::Status has unfortunate name collision with macros Status in X11 headers.
It is proposed renaming class field to avoid this collision.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0028838closedbugmaster Configuration - undefine macros coming from X11 headers in place of collision 
child of 0030507closedbugmaster Visualization - introduce AIS_ViewController 

-  Notes
(0099539)
kgv (developer)
2021-03-17 10:45

Please raise the patch
- OCCT: branch CR32220.
(0099606)
bugmaster (administrator)
2021-03-20 12:48

Combination -
OCCT branch : IR-2021-03-19
master SHA - d209b3176e21010e096833052698f1c0da5b04d5
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-03-19 SHA - 6baf3a921c29525981c0ad7881214c9b20ffe3c1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17753.85000000016 / 17750.250000000156 [+0.02%]
Products
Total CPU difference: 11481.660000000102 / 11540.5800000001 [-0.51%]
Windows-64-VC14:
OCCT
Total CPU difference: 19361.09375 / 19341.28125 [+0.10%]
Products
Total CPU difference: 12879.75 / 12869.921875 [+0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Related Changesets
occt: master 442850c0
Timestamp: 2021-03-17 06:51:39
Author: kgv
Details ] Diff ]
0032220: Configuration, Aspect_VKeySet - eliminate name collision with X11 macros

Aspect_VKeySet::KeyState::Status field has been renamed to KStatus.
mod - src/Aspect/Aspect_VKeySet.cxx Diff ] File ]
mod - src/Aspect/Aspect_VKeySet.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-03-17 09:49 kgv New Issue
2021-03-17 09:49 kgv Assigned To => kgv
2021-03-17 09:49 kgv Relationship added child of 0028838
2021-03-17 10:00 kgv Relationship added child of 0030507
2021-03-17 10:01 kgv Product Version 7.5.0 => 7.4.0
2021-03-17 10:45 kgv Note Added: 0099539
2021-03-17 10:45 kgv Severity minor => trivial
2021-03-17 10:45 kgv Status new => resolved
2021-03-17 10:45 kgv Assigned To kgv => bugmaster
2021-03-17 10:45 kgv Status resolved => reviewed
2021-03-20 12:48 bugmaster Note Added: 0099606
2021-03-20 12:48 bugmaster Status reviewed => tested
2021-03-20 12:51 bugmaster Test case number => Not required
2021-03-23 21:46 kgv Changeset attached => occt master 442850c0
2021-03-23 21:46 kgv Assigned To bugmaster => kgv
2021-03-23 21:46 kgv Status tested => verified
2021-03-23 21:46 kgv Resolution open => fixed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker